Update a token
curl --request PATCH \
--url https://api.lynkwell.com/identity/v2/tokens/{tokenId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network": "<string>",
"isActive": true,
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.lynkwell.com/identity/v2/tokens/{tokenId}"
payload = {
"network": "<string>",
"isActive": True,
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: '<string>',
isActive: true,
name: '<string>',
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.lynkwell.com/identity/v2/tokens/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"network": "<string>",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"driver": "<string>",
"paymentTerminal": "<string>",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "TOKEN_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Token
Update a token
Updates an existing token. The network field is optional in V2 as it can be derived from JWT claims.
Set name or expiresAt to null to clear those fields.
PATCH
/
identity
/
v2
/
tokens
/
{tokenId}
Update a token
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
The ID of the token to update
Body
application/json
The network the token is associated with
Corresponds to the "isValid" field on the token
The name associated with the token
The ISO date time when the token will expire
Available options:
ALWAYS, ALLOWED, ALLOWED_OFFLINE, NEVER Response
The token has been updated.
Show child attributes
Show child attributes